namespace PkmnLib.Plugin.Gen7.Scripts.MoveVolatile;

[Script(ScriptCategory.MoveVolatile, "round")]
public class RoundPowerBoost : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower) =>
        basePower = basePower.MultiplyOrMax(2f);
}